=== autoconf/Makefile ===
# -*- Makefile -*-
# use this Makefile here in the source tree if your autoconf is too old
URL = ftp://ftp.gnu.org/gnu/autoconf
VERSION = 2.64
include Makefile.library.manual
all ::; @echo autoconf is now available as ./final/bin/autoconf
clean ::; rm -rf final
