=== BUILD/mike/darwin64/Makefile ===
all :
	../../../configure \
		--prefix="`pwd`/installed" \
		CC="gcc -m64" CXX="g++ -m64" \
		--build=x86_64-apple-darwin \
		--enable-scscp \
		--enable-dmg \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac frobby pari"
