=== BUILD/dan/farm/debian64-5/Makefile ===
# debian 64:
# apt-get install openssh-server subversion 
SSHPORT = 2227
RDPPORT = 3391
ISO = debian-500-amd64-netinst.iso
URL = http://cdimage.debian.org/debian-cd/5.0.0/amd64/iso-cd/$(ISO)
include ../Makefile.machine
