=== BUILD/dan/farm/ubuntu64/Makefile ===
# ubuntu64

SSHPORT = 3001
RDPPORT = 3002
VERSION = 10.10
ISO = ubuntu-$(VERSION)-alternate-amd64.iso
URL = http://mirror.anl.gov/pub/ubuntu-iso/CDs/$(VERSION)/$(ISO)
# see also http://mirror.anl.gov/pub/ubuntu-iso/CDs/10.10/ubuntu-10.10-alternate-i386.iso
include ../Makefile.machine
