=== debian/changelog ===
macaulay2 (1.4-r12617uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 22 May 2012 11:16:49 +0000

macaulay2 (1.2r8725-1uk5) unstable; urgency=low

  * last fix

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 09 Jun 2009 19:23:41 +0000

macaulay2 (1.2r8725-1uk4) unstable; urgency=low

  * another emacs fix

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 09 Jun 2009 18:14:44 +0000

macaulay2 (1.2r8725-1uk3) unstable; urgency=low

  * next emacs fix

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 09 Jun 2009 15:12:50 +0000

macaulay2 (1.2r8725-1uk2) unstable; urgency=low

  * emacs fix

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 09 Jun 2009 05:31:59 +0000

macaulay2 (1.2r8725-1uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 05 Jun 2009 09:08:53 +0000

macaulay2 (1.2r8438-1uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 05 Jun 2009 07:18:07 +0000

macaulay2 (2008.02.21.1.1-1uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 01 Dec 2008 17:52:09 +0000

macaulay2 (0.9.2-5) unstable; urgency=low

  * dapper rebuild

 -- Debuild User <debuild@uni-klu.ac.at>  Sun, 30 Apr 2006 17:52:38 +0200

macaulay2 (0.9.2-4) unstable; urgency=low

  * ubuntu rebuild

 -- Debian package build user <debuild@uni-klu.ac.at>  Tue, 24 May 2005 19:13:54 +0200

macaulay2 (0.9.2-3) unstable; urgency=low

  * add init script for memory map regeneration on reboot

 -- Debian package build user <root@lxsrv2.sci.uni-klu.ac.at>  Mon, 15 Nov 2004 16:54:11 +0000

macaulay2 (0.9.2-2) unstable; urgency=low

  * uni-klu/sarge rebuild

 -- Debian package build user <debuild@lxsrv2.sci.uni-klu.ac.at>  Fri,  1 Oct 2004 07:00:07 +0000

macaulay2 (0.9.2-1) unstable; urgency=low

  * Initial Release.

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Sat, 27 Dec 2003 22:57:39 +0100
