=== debian/control ===
Source: macaulay2
Section: math
Priority: optional
Maintainer: Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>
Build-Depends: debhelper (>> 3.0.0), libgc-dev, dpatch (>> 1.11), libntl-dev (>> 5.3.1), g++, libgdbm-dev, dpatch, time, libncurses-dev, libpari-dev, libglpk-dev, libntl-dev, libgdbm-dev, gfortran, bison, time, flex, libxml2-dev, gcc-4.5, g++-4.5
Standards-Version: 3.5.2

Package: macaulay2
Architecture: any
Depends: ${shlibs:Depends}, macaulay2-common
Suggests: macaulay2-doc, macaulay2-emacsen
Description: Computational Algebraic Geometry System
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman with generous support of the
 National Science Foundation, for which we thank them.

Package: macaulay2-common
Architecture: all
Suggests: macaulay2-doc, macaulay2-emacsen
Description: Computational Algebraic Geometry System - Architecture independent files.
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman with generous support of the
 National Science Foundation, for which we thank them.

Package: macaulay2-doc
Architecture: all
Description: Documentation for macaulay2
 Computational Algebraic Geometry System

Package: macaulay2-emacsen
Architecture: all
Description: Emacs mode for macaulay2
 Computational Algebraic Geometry System
