=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


build-arch:  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	autoheader
	autoconf
	$(MAKE) configure
	mkdir -p build-root
	cd build-root;CC=gcc-4.5 CPP=cpp-4.5 CXX=g++-4.5 ../configure --enable-download
	cd build-root; $(MAKE) all

	touch build-arch-stamp

build-indep: build-root/config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/macaulay2.sgml > macaulay2.1

	touch build-indep-stamp

build: build-arch build-indep

clean: 
	dh_testdir
	dh_testroot
	rm -f *stamp 

	# Add here commands to clean up after the build process.
	rm -rf build-root
	rm -rf debian/macaulay2
	rm -rf debian/macaulay2-doc
	rm -rf debian/macaulay2-emacsen
	rm -rf debian/tmp
	rm -f debian/book.pdf
	rm -rf BUILD/tarfiles
	find . -name build-old -exec rm -rf {} \;
	rm -rf StagingArea
	find . -name "*.o" -exec rm -f {} \;


	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	# Add here commands to install the package into debian/macaulay2.
	cd build-root; $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
#	cp debian/M2.1 $(CURDIR)/debian/tmp/usr/share/man/man1/
	mkdir -p $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/macaulay2/
	cd build-root; mv $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/*.el $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/macaulay2
	cd build-root; mv $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/M2* $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/macaulay2
	#cp  $(WORKDIR)/Macaulay2/emacs/* $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/macaulay2/
	#cat $(WORKDIR)/Macaulay2/emacs/M2-init.el.in | sed -e "s,@prefix@,/usr/lib/," | sed -e "s,@PACKAGE_VERSION@,$(VER)," > $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/macaulay2/M2-init.el
	cd debian; uudecode book.pdf.uu; mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/macaulay2-doc/; cp book.pdf $(CURDIR)/debian/tmp/usr/share/doc/macaulay2-doc/
	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
	dh_installemacsen 
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
	dh_installman -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install unpack
